catalog:
  title: FTS Saysrv

templates:
- maven-appassembler
- base

variables:
  description: FTS SaySrv
  keywords:
  - java
  access: private

  repository: https://projects.cit-ec.uni-bielefeld.de/git/agaispeechprocessing.git.saysrv.git
  scm.credentials: projects.cit-ec
  branches:
  - trunk
  - sz-fts-gst
  tags:
  - famula-0.1

  platform-provides:
  - '@{next-value}'
  - nature: MAVEN
    target: xml-apis/xml-apis
    version: 2.0.2
  - nature: MAVEN
    target: fts/fts-task
    version: '1.0'
  - nature: MAVEN
    target: org.easymock/easymock
    version: '3.1'
  - nature: MAVEN
    target: log4j/log4j
    version: 1.2.15
  - nature: MAVEN
    target: de.unibi.agai/xtt
    version: 3.2.6
  platform-requires:
    ubuntu:
      packages:
      - '@{next-value|[]}'
      - jackd2
      xenial:
        packages:
          - '@{next-value|[]}'
          - gstreamer0.10-pulseaudio
          - gstreamer0.10-plugins-base
          - gstreamer0.10-plugins-good
      bionic:
        packages:
          - '@{next-value|[]}'
          - gstreamer1.0-pulseaudio
          - gstreamer.plugins-base1.0-0
          - gstreamer.plugins-good1.0-0
